Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236018 - Wrong init script
Summary: Wrong init script
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anacron
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Marcela Mašláňová
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On: 235999
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-11 15:21 UTC by Michal Marciniszyn
Modified: 2014-02-10 23:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-25 09:16:45 UTC


Attachments (Terms of Use)

Description Michal Marciniszyn 2007-04-11 15:21:13 UTC
+++ This bug was initially created as a clone of Bug #235999 +++

Description of problem:
initscript of anacron ends if /usr/sbin/anacron does not exist with exit code 0.

Version-Release number of selected component (if applicable):
All

How reproducible:
Always

Steps to Reproduce:
1. mv /usr/sbin/anacron /usr/sbin/anacron.gotcha
2. service anacron start
3. echo $?
  
Actual results:
0

Expected results:
non-zero error code

Additional info:
There are several more bugs in init script, namely the status command should
always run irrespectible of lack of binary/conf file... For our initscript
guidelines watch
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

Comment 1 Marcela Mašláňová 2007-09-25 09:16:45 UTC
This problem is resolved in the next release of Red Hat Enterprise Linux. Red
Hat does not currently plan to provide a resolution for this in a Red Hat
Enterprise Linux update for currently deployed systems.


Note You need to log in before you can comment on or make changes to this bug.